DELIMITER $$

DROP PROCEDURE IF EXISTS `stp_sucursal`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_sucursal`(
	in_id_sucursal INT
)
    COMMENT 'Información de la sucursal'
BEGIN
    IF in_id_sucursal IS NULL THEN
	SELECT * FROM cat_sucursales;
    ELSE
	SELECT suc.id_sucursal,
		suc.nombre,
		suc.calle,
		suc.num_ext,
		suc.num_int,
		suc.colonia,
		suc.codigo_postal,
		suc.id_estado,
		edo.nombre AS estado,
		suc.id_municipio,
		mun.nombre AS municipio,
		suc.telefonos,
		suc.tasa,
		suc.activo,
		suc.matriz,
		suc.mensaje_ticket,
		suc.cantidad_mayoreo
	FROM cat_sucursales AS suc
	JOIN caf_estados AS edo
		ON edo.id_estado = suc.id_estado
	JOIN caf_municipios AS mun
		ON mun.id_estado = suc.id_estado
			AND mun.id_municipio = suc.id_municipio
	WHERE suc.id_sucursal = in_id_sucursal;
    END IF;
END$$

DELIMITER ;



DELIMITER $$

DROP PROCEDURE IF EXISTS `stp_configuracionInicial`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_configuracionInicial`(
	in_token VARCHAR(20),
	in_sucursal INT
)
    COMMENT 'Guarda los valores iniciales de token y sucursal'
BEGIN
	UPDATE cat_configuracion
	SET token = in_token,
		id_sucursal = in_sucursal;
END$$

DELIMITER ;
